classification
Title: trace fails when test imported a temporary file
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: SilentGhost, brett.cannon
Priority: normal Keywords:

Created on 2011-01-23 23:31 by brett.cannon, last changed 2019-05-14 04:15 by brett.cannon. This issue is now closed.

Messages (4)
msg126909 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-01-23 23:31
If you run ``test.regrtest -T`` you will discover that (at least) test_importlib and test_runpy prevent coverage data from being written out as 'trace' will try to find files which no longer exist. Both test suites create temp files, import them, and then delete them. Unfortunately 'trace' doesn't ignore that fact and throws an exception that the temporary files are gone.

Since the file is simply gone it probably makes sense to have 'trace' just print out a warning that the file could not be found and move on.
msg223220 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-16 15:20
Knowing the platform this occurred on would be useful, but given the age do we care?
msg342316 - (view) Author: SilentGhost (SilentGhost) * (Python triager) Date: 2019-05-13 12:44
Brett, is this something that is still relevant for the supported versions or are you OK with closing this issue as out of date or wont fix?
msg342427 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-05-14 04:15
Since I'm not bothered enough to check if this is still an issue I'm fine with closing this.
History
Date User Action Args
2019-05-14 04:15:47brett.cannonsetstatus: open -> closed
resolution: out of date
messages: + msg342427

stage: test needed -> resolved
2019-05-13 12:44:10SilentGhostsetnosy: + SilentGhost, brett.cannon
messages: + msg342316
2019-04-26 19:46:02BreamoreBoysetnosy: - BreamoreBoy
-> (no value)
2014-07-16 15:20:40BreamoreBoysetnosy: + BreamoreBoy

messages: + msg223220
versions: + Python 3.5
2013-01-11 16:31:42brett.cannonsetnosy: - brett.cannon
-> (no value)
versions: + Python 3.4, - Python 3.3
2011-01-23 23:31:12brett.cannoncreate